[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalendarDialog.GetNewDate

Gets the date value from the Calendar on the dialog form.

## Declaration

Source position: extdlgs.pas line 220

`protected procedure TCalendarDialog.GetNewDate(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object instance for the event notification. Not used in the method.

## Description

GetNewDate is a procedure used to get the date value from the TCalendar control on the dialog form. It assigns the DateTime value from the calendar control to the Date property in the dialog component.

GetNewDate is called from methods like CalendarDblClick, CalendarDayChanged, CalendarYearChanged, and CalendarMonthChanged. It is assigned as the OnClick event handler for the OK button displayed on the calendar dialog form.